Subject: Re: Registration of text/calendar MIME property GEO_BOUNDS

From: [email-masked]
Date: Tue, 22 Aug 2000 12:56:07 -0400

Doug replied:
>The only time a user must choose is when a CUA would query a CS
>to get a TZID or list of TZID's to use. If they get > 1, then
>the CU or CUA chooses which TZID MUST be sent
>with the object. One VTIMEZONE for each unique TZID.

Ok, let me make my concern a bit sharper: I am 95% against having the CUA 
doing the choosing by itself (I can think of some cases where it MAY be ok 
but very very few).  This is the interop nightmare.  Do _not_ leave the 
option open ended or we have the multipart/* case all over but its worse 
as the entrys may actually be misrendered at incorrect times.  Since you 
are "simply" adding some specifics "in addition to what alredy MUST be sent", why not take the opportunity to properly codify the behaviour WRT > 1 
entry so that it is unambiguous.

I took your original "If > 1, choose" to mean that the CUA would 
arbitrarily (or using some voodoo) decide which to use and that is just 
bad!  The addition of GEO-BOUNDS (hyphenated to be consistant or 
underscored to be different??) makes the puzzle worse by allowing a CUA to 
query for "What TZs may be in effect at this GEO position?"  If you are 
going to be in that part of the architecture to add stuff that makes 
interop potentially nastier, please, PLEASE clearly codify the proper 
behaviour for a CUA in these boundary scenarios!!!  (Consider this an 
opportunity to clean up an oversight in our original text. :^) )

Bruce
===========================================================================
Bruce Kahn                                INet: [email-masked]
Iris Associates                          Phone: 978.392.5335
Westford, MA, USA 01886                    FAX: and nothing but the FAX...
Standard disclaimers apply, even where prohibited by law...

---

From: Doug Royer <[email-masked]>
Date: Tue, 22 Aug 2000 10:38:49 -0700

[email-masked] wrote:
> Ok, let me make my concern a bit sharper: I am 95% against
> having the CUA doing the choosing by itself. > (I can think
> ff some cases where it MAY be ok but very very few).  This is
> the interop nightmare.  Do _not_ leave the option open ended
> or we have the multipart/* case all over but its worse as
> the entrys may actually be misrendered at incorrect times.
>  Since you are "simply" adding some specifics "in addition
> to what alredy MUST be sent", why not take the opportunity
> to properly codify the behaviour WRT > 1 entry so that it
> is unambiguous.

If the CUA knows its timezone name, but does not have
the VTIMEZONE definition. Why not let the CUA choose?
Example:

	My mobile CUA thinks it's timezone is US/Pacific
	because my OS says so. But my mobile OS system does
	not know anything about VTIMEZONE. So my mobile CUA
	queries a CAP server and provides my GEO position.

	The CS could come back with VTIMEZONES with
        the following TZIDs + TZNAME

		BEGIN:VTIMEZONE
		...
		TZID:TZID:America/Los_Angeles
		...
		TZNAME;LANGUAGE=us-EN:PST8PDT
		TZNAME;LANGUAGE=us-EN:US/Pacific
		TZNAME;LANGUAGE=us-EN:US/Pacific-New
		...
		END:VTIMEZONE

		BEGIN:VTMEZONE
		TZID:GMT-8
		...
		TZNAME:Us Pacific Coast Military time
		...
		END:VTIMEZONE
			
		BEGIN:VTIMEZONE
		TZID:...
		...
		END:VTIMEZONE
		      
I can write a tool that selects the correct VTIMEZONE America/Los_Angles
from a list.There are times when the CUA will know which to use.

If it can't find a match - then the user selects.

-Doug

---

From: John Stracke <[email-masked]>
Date: Wed, 23 Aug 2000 12:15:08 -0400

[email-masked] wrote:

> having the CUA doing the choosing by itself (I can think of
> some cases where it MAY be ok but very very few).  This is the
> interop nightmare.

I don't think it is an interop problem, actually; the timezone
choice occurs *before* the iCalendar is composed and sent over
the wire.  Once it's been chosen, the iCalendar is
self-contained, with a complete VTIMEZONE, so there's no
ambiguity.

In any case, there is simply no way to eliminate all the cases
where it has to be left up to the user.  Someone gave me some
examples in a private message (I had just been speculating), and,
for one of them, what timezone you followed depended on your
politics! Try feeding *that* into the CS.  :-)

--
/==============================================================\
|John Stracke    | http://www.ecal.com |My opinions are my own.|
|Chief Scientist |=============================================|
|eCal Corp.      |Illiterate? Write today for free help!       |
[email-masked]|                                             |
\==============================================================/